<h1>
  <i class="glyphicon" [class.glyphicon-star-empty]="!meuFavorito" [class.glyphicon-star]="meuFavorito" (click)="onClick()"></i>
</h1>

<h1>
  <i class="glyphicon" [ngClass]="{'glyphicon-star-empty':!meuFavorito, 'glyphicon-star':meuFavorito}" (click)="onClick()"></i>
</h1>
